Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.dialogs 6.5.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide
Class WizardValidationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.openide.WizardValidationException

All Implemented Interfaces:
  Serializable

    public final class WizardValidationException

extends Exception

The exception informs about fail in wizard panel validation and provides a localized description what's wrong. Also can return JComponent which should be focused to correct wrong values.

Since:
  4.28
See Also:
  Serialized Form

Constructor Summary
`WizardValidationException(JComponent source, String message, String localizedMessage)` Creates a new exception instance.

Method Summary
`String` | `getLocalizedMessage()`
`JComponent` | `getSource()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WizardValidationException

    public WizardValidationException(JComponent source,
                                     String message,
                                     String localizedMessage)

  Creates a new exception instance.

  Parameters:
    `source` - component which should have focus to correct wrong values
    `message` - the detail message
    `localizedMessage` - description notifies an user what value must be corrected

Method Detail

### getSource

    public JComponent getSource()

  Returns:
    JComponent for request focus to correct wrong values or null if there is no useful component to focus it

### getLocalizedMessage

    public String getLocalizedMessage()

  Overrides:
    `getLocalizedMessage` in class `Throwable`
  Returns:
    description will notifies an user what value must be corrected

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.dialogs 6.5.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.